/*
  latin1.c.  Produce a table of ISO Latin / Greek.
  F. da Cruz, Columbia University, 1995.
*/
char *name[] = {
   "No-break space",
   "Left single quotation mark",
   "right single quotation mark",
   "Pound sign",
   "(UNUSED)",
   "(UNUSED)",
   "Broken bar",
   "Paragraph sign",
   "Diaeresis (Dialytika)",
   "Copyright sign",
   "(UNUSED)",
   "Left angle quotation",
   "Not sign",
   "Soft hyphen",
   "(UNUSED)",
   "Horizontal bar (Parenthetiki pavla)",
   "Degree sign",
   "Plus-minus sign",
   "Superscript two",
   "Superscript three",
   "Accent (tonos)",
   "Diaeresis and accent (Dialytika and Tonos)",
   "Alpha with accent",
   "Middle dot (Ano Teleia)",
   "Epsilon with accent",
   "Eta with accent",
   "Iota with accent",
   "Right angle quotation",
   "Omicron with accent",
   "One half",
   "Upsilon with accent",
   "Omega with accent",
   "iota with diaeresis and accent",
   "Alpha",
   "Beta",
   "Gamma",
   "Delta",
   "Epsilon",
   "Zeta",
   "Eta",
   "Theta",
   "Iota",
   "Kappa",
   "Lamda",
   "Mu",
   "Nu",
   "Ksi",
   "Omicron",
   "Pi",
   "Rho",
   "(UNUSED)",
   "Sigma",
   "Tau",
   "Upsilon",
   "Phi",
   "Khi",
   "Psi",
   "Omega",
   "Iota with diaeresis",
   "Upsilon with diaeresis",
   "alpha with accent",
   "epsilon with accent",
   "eta with accent",
   "iota with accent",
   "upsilon with diaeresis and accent",
   "alpha",
   "beta",
   "gamma",
   "delta",
   "epsilon",
   "zeta",
   "eta",
   "theta",
   "iota",
   "kappa",
   "lamda",
   "mu",
   "nu",
   "ksi",
   "omicron",
   "pi",
   "rho",
   "terminal sigma",
   "sigma",
   "tau",
   "upsilon",
   "phi",
   "khi",
   "psi",
   "omega",
   "iota with diaeresis",
   "upsilon with diaeresis",
   "omicron with diaeresis",
   "upsilon with accent",
   "omega with accent",
   "(UNUSED)"
};


main() {
    int i, j;
    printf("ISO 8859-1 Latin / Greek Alphabet\n");
    printf("char dec col/row oct hex  description\n");
    for (i = 160; i < 256; i++) {
	j = i - 160;
	printf("[%c]  %3d  %02d/%02d  %3o  %2X  %s\n",
	       i, i, i/16, i%16, i, i, name[j]);
    }
}
